import React from 'react';
import { bgColors, borderColors } from './colors';
export const AuraBeamAnnotator = ({ title, type = "primary", color = "white", positioning = "left", children }) => {
    const positionLeft = positioning === 'left';
    const primary = type === "primary";
    return (React.createElement("div", { className: `relative flex flex-col px-1 ${positionLeft ? 'items-start' : 'items-end'}` },
        React.createElement("div", { className: "relative flex items-center gap-2" }, primary ?
            React.createElement(React.Fragment, null,
                React.createElement("div", { className: `h-10 w-10 rounded-full ${bgColors[color]} absolute ${!positionLeft && "right-0"}` }),
                React.createElement("h2", { className: `text-4xl bold shadow-none ${positionLeft ? "ml-14" : "mr-14 "}` },
                    React.createElement("span", { className: `z-10 absolute inset-y-0  border-r-8  ${borderColors[color]} ${positionLeft ? "left-0 ml-4" : "right-0 mr-4"}` }, " "),
                    title))
            :
                React.createElement(React.Fragment, null,
                    React.createElement("div", { className: `h-7 w-7 rounded-sm mx-1.5 ${bgColors[color]} absolute ${!positionLeft && "right-0"}` }),
                    React.createElement("h3", { className: `text-xl bold shadow-none ${positionLeft ? "ml-14" : "mr-14 "}` },
                        React.createElement("span", { className: `z-10 absolute inset-y-0  border-r-8  ${borderColors[color]} ${positionLeft ? "left-0 ml-4" : "right-0 mr-4"}` }, " "),
                        title))),
        children ?
            React.createElement("div", { className: "mt-[-0.5px] pb-16 mb-[-0.5px] relative" },
                React.createElement("div", { className: `z-10 absolute inset-y-0  border-r-8 ${borderColors[color]} ${positionLeft ? "left-0 ml-4" : "right-0 mr-4"}` }, " "),
                React.createElement("div", { className: `mt-4 drop-shadow-none ${positionLeft ? "ml-14" : "mr-14 text-right"}` }, children))
            :
                React.createElement("div", { className: 'pb-6' },
                    React.createElement("div", { className: `z-10 absolute inset-y-0  border-r-8 ${borderColors[color]} ${positionLeft ? "left-0 ml-5" : "right-0 mr-5"}` }, " "))));
};
//# sourceMappingURL=AuraBeamAnnotator.js.map